org.apache.lucene.analysis.ko.dict

## Class UnknownDictionary

- java.lang.Object
- - org.apache.lucene.analysis.ko.dict.BinaryDictionary
  - - org.apache.lucene.analysis.ko.dict.UnknownDictionary

All Implemented Interfaces:
  Dictionary

    public final class UnknownDictionary
    extends BinaryDictionary

Dictionary for unknown-word handling.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.lucene.analysis.ko.dict.Dictionary

`Dictionary.Morpheme`

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.ko.dict.BinaryDictionary

`DICT_FILENAME_SUFFIX, DICT_HEADER, HAS_READING, HAS_SINGLE_POS, POSDICT_FILENAME_SUFFIX, POSDICT_HEADER, TARGETMAP_FILENAME_SUFFIX, TARGETMAP_HEADER, VERSION`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`CharacterDefinition` `getCharacterDefinition()`
`static UnknownDictionary` `getInstance()`
`Dictionary.Morpheme[]` `getMorphemes(int wordId, char[] surfaceForm, int off, int len)` Get the morphemes of specified word (e.g.
`String` `getReading(int wordId)` Get the reading of specified word (mainly used for Hanja to Hangul conversion).

### Methods inherited from class org.apache.lucene.analysis.ko.dict.BinaryDictionary

`getClassResource, getLeftId, getLeftPOS, getPOSType, getResource, getRightId, getRightPOS, getWordCost, lookupWordIds`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getCharacterDefinition

    public CharacterDefinition getCharacterDefinition()

#### getInstance

    public static UnknownDictionary getInstance()

#### getReading

    public String getReading(int wordId)

Description copied from interface: `Dictionary`
Get the reading of specified word (mainly used for Hanja to Hangul conversion).

Specified by:
  `getReading` in interface `Dictionary`
Overrides:
  `getReading` in class `BinaryDictionary`

#### getMorphemes

    public Dictionary.Morpheme[] getMorphemes(int wordId,
                                              char[] surfaceForm,
                                              int off,
                                              int len)

Description copied from interface: `Dictionary`
Get the morphemes of specified word (e.g. 가깝으나: 가깝 + 으나).

Specified by:
  `getMorphemes` in interface `Dictionary`
Overrides:
  `getMorphemes` in class `BinaryDictionary`